## exim4 4.99~RC3

=== src/auths/Makefile ===
# Make file for building a library containing all the available authorization
# methods, and calling it auths.a. In addition, there are functions that are
# of general use in several methods; these are in separate modules so they are
# linked in only when needed. This Makefile is called from the main make file,
# after cd'ing to the auths subdirectory. When the relevant AUTH_ macros are
# defined, the equivalent modules herein is not included in the final binary.
#
# Copyright (c) The Exim Maintainers 2024

# nb: at build time, the version of this file used will have had some
#     extra variable definitions and prepended to it and module build rules
#     interpolated below. This is done by scripts/drivers-Makefile with
#     definitions from scripts/Configure-Makefile

# MAGIC-TAG-MODS-OBJ-RULES-GO-HERE

OBJ += auth-spa.o

all:		auths.a $(MODS)

auths.a:	$(OBJ)
		@$(RM_COMMAND) -f auths.a
		@echo "$(AR) auths.a"
		$(FE)$(AR) auths.a $(OBJ)
		$(RANLIB) $@

.SUFFIXES:	.o .c .so
.c.o:;		@echo "$(CC) $*.c"
		$(FE)$(CC) -c $(CFLAGS) $(INCLUDE) $*.c

SO_FLAGS = -DDYNLOOKUP $(CFLAGS_DYNAMIC) $(CFLAGS) $(INCLUDE) $(DLFLAGS)
.c.so:;		@echo "$(CC) -shared $*.c"
		$(FE)$(CC) $(SO_FLAGS) $(AUTH_$*_INCLUDE) $(AUTH_$*_LIBS) \
			$*.c -o $@


$(OBJ) $(MOD): $(HDRS)

cram_md5.o:         cram_md5.c cram_md5.h
cyrus_sasl.o:       cyrus_sasl.c cyrus_sasl.h
dovecot.o:          dovecot.c dovecot.h
external.o:         external.c external.h
gsasl.o:	    gsasl.c gsasl.h
heimdal_gssapi.o:   heimdal_gssapi.c heimdal_gssapi.h
plaintext.o:        plaintext.c plaintext.h
spa.o:              spa.c spa.h
tls.o:              tls.c tls.h

# These depend on more than one .c source

spa.so:	spa.c auth-spa.c spa.h
	$(FE)$(CC) $(SO_FLAGS) spa.c auth-spa.c -o $@

# End

=== src/miscmods/Makefile ===
# Make file for building Exim's lookup modules.
# This is called from the main make file, after cd'ing
# to the misc_modules subdirectory.
#
# Copyright (c) The Exim Maintainers 2024

# nb: at build time, the version of this file used will have had some
#     extra variable definitions and prepended to it and module build rules
#     interpolated below. This is done by scripts/drivers-Makefile.

# MAGIC-TAG-MODS-OBJ-RULES-GO-HERE

# Ensure a non-empty .a since some platforms complain
OBJ += dummy.o

all:		miscmods.a $(MODS)

miscmods.a:	$(OBJ)
		@$(RM_COMMAND) -f miscmods.a
		@echo "$(AR) miscmods.a"
		@$(AR) miscmods.a $(OBJ)
		$(RANLIB) $@

.SUFFIXES:      .o .c .so
.c.o:;          @echo "$(CC) $*.c"
		$(FE)$(CC) -c $(CFLAGS) $(INCLUDE) $*.c

.c.so:;         @echo "$(CC) -shared $*.c"
		$(FE)$(CC) $(SUPPORT_$*_INCLUDE) $(SUPPORT_$*_LIBS) \
			-DDYNLOOKUP $(CFLAGS_DYNAMIC) $(CFLAGS) $(INCLUDE) \
			$(DLFLAGS) $*.c -o $@

# Note that the sources from pdkim/ are linked into the build.../miscmods/ dir
# by scripts/Makelinks.
arc.o	arc.so:			$(HDRS) pdkim.h arc.c
dkim.o  dkim.so:		$(HDRS) dkim.h dkim.c dkim_transport.c \
				crypt_ver.h pdkim.h pdkim_hash.h pdkim.c \
				signing.h signing.c
dmarc.o dmarc.so:		$(HDRS) spf.h pdkim.h dmarc.h dmarc.c
dummy.o:			dummy.c
exim_filter.o exim_filter.so:	$(HDRS) exim_filter.c
pam.o   pam.so:			$(HDRS) pam.c
perl.o perl.so:         	$(HDRS) perl.c
radius.o radius.so:		$(HDRS) radius.c
sieve_filter.o sieve_filter.so:	$(HDRS) sieve_filter.c
spf.o   spf.so:			$(HDRS) spf.h spf.c
spf_perl.o spf_perl.so:		$(HDRS) spf.h spf_perl.c



# We need a single .o because that's what scripts/Configure-Makefile
# understands and fills in to $(OBJ).
# Try desparately to get the Solaris cc/ld to build one.
#dkim.o:
#	@echo "$(CC) dkim.c dkim_transport.c pdkim.c signing.c"
#	$(FE)$(CC) -r $(LDFLAGS_PARTIAL) -o $@ $(CFLAGS) $(INCLUDE) \
#		dkim.c dkim_transport.c pdkim.c signing.c
dkim.o:
	@echo "$(CC) dkim.c dkim_transport.c pdkim.c signing.c"
	$(FE)$(CC) -c $(CFLAGS) $(INCLUDE) dkim.c
	$(FE)$(CC) -c $(CFLAGS) $(INCLUDE) dkim_transport.c
	$(FE)$(CC) -c $(CFLAGS) $(INCLUDE) pdkim.c
	$(FE)$(CC) -c $(CFLAGS) $(INCLUDE) $(TLS_INCLUDE) signing.c
	$(FE)mv dkim.o dkim_tmp.o
	$(FE)ld -r -o dkim.o $(LDFLAGS_PARTIAL) \
		dkim_tmp.o dkim_transport.o pdkim.o signing.o

# Similarly, we want a single .so for the dynamic-load module
dkim.so:
	@echo "$(CC) -shared dkim.c dkim_transport.c pdkim.c signing.c"
	$(FE)$(CC) -DDYNLOOKUP $(CFLAGS_DYNAMIC) -o $@ \
		$(SUPPORT_$*_INCLUDE) $(SUPPORT_$*_LIBS) \
		$(CFLAGS) $(INCLUDE) $(TLS_INCLUDE) $(DLFLAGS) \
		dkim.c dkim_transport.c pdkim.c signing.c

# spf_perl is special; Configure-Makefile asks for it but we actually
# build resulting in a file named spf.so because the module-loading
# in Exim needs the file named to match the module-name string its
# clients search for.
# This is sub-optimal; spf_perl.c gets recompiled every build.

spf_perl.so:
	@echo "$(CC) -shared $*.c"
	$(FE)$(CC) $(SUPPORT_SPF_PERL_INCLUDE) $(SUPPORT_SPF_PERL_LIBS) \
			-DDYNLOOKUP $(CFLAGS_DYNAMIC) $(CFLAGS) $(INCLUDE) \
			$(DLFLAGS) spf_perl.c -o spf.so

# Compile instructions for static perl.o for when EXIM_PERL is set
# Dynamic is managed all via scripts/Configure-Makefile

perl.o:
	@echo "$(PERL_CC) perl.c"
	$(FE)$(PERL_CC) $(PERL_CCOPTS) $(CFLAGS) $(INCLUDE) -c perl.c

# End

=== src/routers/Makefile ===
# Make file for building a library containing all the available routers and
# calling it routers.a. This is called from the main make file, after cd'ing
# to the directors subdirectory. The library also contains functions that
# are called only from within the individual routers.
#
# Copyright (c) The Exim Maintainers 2021 - 2024

# nb: at build time, the version of this file used will have had some
#     extra variable definitions and prepended to it and module build rules
#     interpolated below. This is done by scripts/drivers-Makefile with
#     definitions from scripts/Configure-Makefile.

# MAGIC-TAG-MODS-OBJ-RULES-GO-HERE

all:             routers.a $(MODS)

routers.a:       $(OBJ)
		 @$(RM_COMMAND) -f routers.a
		 @echo "$(AR) routers.a"
		 @$(AR) routers.a $(OBJ)
		 $(RANLIB) $@

.SUFFIXES:       .o .c .so
.c.o:;           @echo "$(CC) $*.c"
		 $(FE)$(CC) -c $(CFLAGS) $(INCLUDE) $*.c

.c.so:;          @echo "$(CC) -shared $*.c"
		 $(FE)$(CC) -DDYNLOOKUP $(CFLAGS_DYNAMIC) $(CFLAGS) $(INCLUDE) $(DLFLAGS) $*.c -o $@



$(OBJ) $(MOD): $(HDRS) rf_functions.h

accept.o accept.so:             accept.c       accept.h
dnslookup.o dnslookup.so:       dnslookup.c    dnslookup.h
ipliteral.o ipliteral.so:       ipliteral.c    ipliteral.h
iplookup.o iplookup.so:         iplookup.c     iplookup.h
manualroute.o manualroute.so:   manualroute.c  manualroute.h
queryprogram.o queryprogram.so: queryprogram.c queryprogram.h
redirect.o redirect.so:         redirect.c     redirect.h

# End

=== src/transports/Makefile ===
# Make file for building a library containing all the available transports and
# calling it transports.a. This is called from the main make file, after cd'ing
# to the transports subdirectory.
#
# Copyright (c) The Exim Maintainers 2021 - 2024

# nb: at build time, the version of this file used will have had some
#     extra variable definitions and prepended to it and module build rules
#     interpolated below. This is done by scripts/drivers-Makefile with
#     definitions from scripts/Configure-Makefile.

# MAGIC-TAG-MODS-OBJ-RULES-GO-HERE

OBJ += smtp_socks.o tf_maildir.o

all:		transports.a $(MODS)

transports.a:    $(OBJ) smtp_socks.o tf_maildir.o
		 @$(RM_COMMAND) -f transports.a
		 @echo "$(AR) transports.a"
		 @$(AR) transports.a $(OBJ)
		 $(RANLIB) $@

.SUFFIXES:       .o .c .so
.c.o:;           @echo "$(CC) $*.c"
		 $(FE)$(CC) -c $(CFLAGS) $(INCLUDE) $*.c

SO_FLAGS = -DDYNLOOKUP $(CFLAGS_DYNAMIC) $(CFLAGS) $(INCLUDE) $(DLFLAGS)
.c.so:;          @echo "$(CC) -shared $*.c"
		 $(FE)$(CC) $(SO_FLAGS) $*.c -o $@


$(OBJ) $(MOD): $(HDRS)

appendfile.o:			appendfile.c appendfile.h tf_maildir.h
autoreply.o autoreply.so:	autoreply.c autoreply.h
lmtp.o lmtp.so:			lmtp.c lmtp.h
pipe.o pipe.so:			pipe.c pipe.h
queuefile.o queuefile.so:	queuefile.c queuefile.h
smtp.o:				smtp.c smtp.h
smtp_socks.o:			smtp_socks.c smtp.h

tf_maildir.o:			tf_maildir.c tf_maildir.h appendfile.h



# This depends on more than one .c source

appendfile.so: appendfile.c appendfile.h tf_maildir.c tf_maildir.h
	@echo "$(CC) -shared appendfile.c tf_maildir.c"
	$(FE)$(CC) $(SO_FLAGS) appendfile.c tf_maildir.c -o $@

# End

=== debian/changelog ===
exim4 (4.99~RC3-1) experimental; urgency=medium

  * New upstream version.
  * Drop 82_Fix-build-error-with-gcc-15.patch, included upstream.
  * Enable sqlite for exim4-daemon-light.
  * Use sqlite instead of berkely db 5.3 for exim hints databases and dbm
    lookups.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 12 Oct 2025 13:23:43 +0200

=== debian/config-custom/debian/rules ===
#!/usr/bin/make -f
# debian/rules for exim4-config-custom
# This file is public domain software, originally written by Joey Hess.
#
# Uncomment this to turn on verbose mode. 
export DH_VERBOSE=1

buildname=$${build:-`$(SHELL) scripts/os-type`-`$(SHELL) scripts/arch-type`}

DEBIAN:=$(shell pwd)/debian

configure: configure-stamp

# the patches might change src/EDITME.
configure-stamp:
	dh_testdir
	touch configure-stamp

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir
	touch build-indep-stamp

build: build-indep

clean: cleanfiles

cleanfiles:
	dh_testdir
	dh_testroot
	rm -f build-indep-stamp configure-stamp install-stamp debian/files
	rm -f debian/debconf/exim4.conf.template

	# Add here commands to clean up after the build process.
	dh_clean

install: install-stamp
install-stamp: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	install -m 755 debian/debconf/update-exim4.conf debian/exim4-config/usr/sbin
	# install -m644 debian/debconf/exim4.conf.template debian/exim4-config/etc/exim4

	# ship a copy in examples
	# install -m644 debian/debconf/exim4.conf.template debian/exim4-config/usr/share/doc/exim4-config/examples/exim4.conf.template.debconf
	install -m644 debian/email-addresses debian/exim4-config/etc
	install -m755 debian/ip-up.d debian/exim4-config/etc/ppp/ip-up.d/exim4
	cd $(DEBIAN)/debconf/conf.d && \
		tar cf - `find \( -path '*/.svn/*' -prune \) -or \( -type f -print \)` | \
		{ cd $(DEBIAN)/exim4-config/etc/exim4/conf.d/ && \
		tar xf - ; }
	chmod 755 debian/debconf/update-exim4.conf.template
	CONFDIR=$(DEBIAN)/debconf debian/debconf/update-exim4.conf.template --nobackup --run

#	dh_movefiles
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installmenu -i
	dh_installdebconf -i
	dh_installlogrotate -i
#	dh_installemacsen -i
	dh_installpam -i
	dh_installmime -i
#	dh_installinit -i
	dh_installcron -i
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installman -i
	dh_install -i
	dh_strip -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
#	dh_makeshlibs -i
	dh_installdeb -i
#	dh_perl -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/,uversionmangle=s/[_-]/~/g \
https://downloads.exim.org/exim4/test/exim-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## exim4 4.99

=== Makefile ===
# Top-level makefile for Exim; handles creating a build directory with
# appropriate links, and then creating and running the main makefile in that
# directory.

# Copyright (c) The Exim Maintainers 2022 - 2025
# Copyright (c) University of Cambridge, 1995 - 2018
# SPDX-License-Identifier: GPL-2.0-or-later
# See the file NOTICE for conditions of use and distribution.

# IRIX make uses the shell that is in the SHELL variable, which often defaults
# to csh, so put this in to make it use the Bourne shell. In systems where
# /bin/sh is not a Bourne-compatible shell, this line will have to be edited,
# or "make" must be called with a different SHELL= setting.

SHELL=/bin/sh
RM_COMMAND=/bin/rm

# The buildname defaults to "<os-type>-<arch-type>". It can be
# overridden by the "build" parameter when invoking make (e.g. make
# build=xxx) This does not provide an override for the OS type and
# architecture type used during the build process; they still have to be
# used for the OS-specific files. To override them, you can set the
# shell variables OSTYPE and ARCHTYPE when running make.
#
# EXIM_BUILD_SUFFIX gets appended to the buildname.  (This enables
# parallel builds on a file system shared among different Linux distros
# (same os-type, same arch-type). The ../test/runtest script honours the
# EXIM_BUILD_SUFFIX when searching the Exim binary.)

buildname=$${build:-`$(SHELL) scripts/os-type`-`$(SHELL) scripts/arch-type`}$${EXIM_BUILD_SUFFIX:+.$$EXIM_BUILD_SUFFIX}

# The default target checks for the existence of Local/Makefile, that the main
# makefile is built and up-to-date, and then it runs it.
# If Local/Makefile-<buildname> exists, it is read too.

all: Local/Makefile configure
	@cd build-$(buildname); $(MAKE) SHELL=$(SHELL) $(MFLAGS)

# This pair for the convenience of of the Debian maintainers
exim utils: Local/Makefile configure
	@cd build-$(buildname); $(MAKE) SHELL=$(SHELL) $(MFLAGS) $@

# For testsuite builds
exim_openssl exim_gnutls: Local/Makefile configure
	@cd build-$(buildname); $(MAKE) SHELL=$(SHELL) $(MFLAGS) $@

Local/Makefile:
	@echo ""
	@echo "*** Please create Local/Makefile by copying src/EDITME and making"
	@echo "*** appropriate changes for your site."
	@echo ""
	@test ! -d Local && mkdir Local
	@false

# This is separated off so that "make build-directory" can be obeyed on
# its own if necessary.
# XXX would be nice to get this rebuilt if scripts/MakeLinks changes

build-directory:
	@builddir=build-$(buildname); \
	case "$$builddir" in *UnKnown*) exit 1;; esac; \
	$(SHELL) -c "test -d $$builddir -a -r $$builddir/version.c || \
	  (mkdir $$builddir; cd $$builddir; $(SHELL) ../scripts/MakeLinks)";

checks:
	$(SHELL) scripts/source_checks

# The "configure" target ensures that the build directory exists, then arranges
# to build the main makefile from inside the build directory, by calling the
# Configure-Makefile script. This does its own dependency checking because of
# the optional files.

configure: checks build-directory \
		scripts/lookups-Makefile scripts/drivers-Makefile
	@cd build-$(buildname); \
	  build=$(build) $(SHELL) ../scripts/Configure-Makefile

# The "makefile" target forces a rebuild of the makefile (as opposed to
# "configure", which doesn't force it).

makefile: build-directory
	@cd build-$(buildname); $(RM_COMMAND) -f Makefile; \
	  build=$(build) $(SHELL) ../scripts/Configure-Makefile

# The installation commands are kept in a separate script, which expects
# to be run from inside the build directory.

install:        all
		@cd build-$(buildname); \
		build=$(build) $(SHELL) ../scripts/exim_install $(INSTALL_ARG)

# For testing only; the version number is a dummy.
# The build for release is done by the release-process script "mk_exim_release"

doc:	FRC
	cd ../doc/doc-docbook; $(MAKE) EXIM_VER=0 everything

# Tidy-up targets

clean_exim:; cd build-$(buildname); \
	$(RM_COMMAND) -f *.o; \
	for d in lookups auths routers transports miscmods; do \
		$(RM_COMMAND) -f $$d/*.{o,a,so}; \
	done; \
	$(RM_COMMAND) -fr dynmodules

clean_doc: FRC
	cd ../doc/doc-docbook; \
	$(RM_COMMAND) -f {filter,spec}*.{pdf,ps,txt,html,xml}

clean:	clean_exim clean_doc
	@echo ""; echo '*** "make clean" just removes all .o and .a files'
	@echo '*** Use "make makefile" to force a rebuild of the makefile'
	@echo ""

distclean: clean_doc
	$(RM_COMMAND) -rf build-* cscope*

cscope.files: FRC
	echo "-q" > $@
	echo "-p3" >> $@
	-bd=build-$(buildname); [ -d $$bd ] && echo -e "$$bd/config.h\n$$bd/Makefile" >> $@
	find src Local OS exim_monitor -name "*.[cshyl]" -print \
		    -o -name "os.[ch]*" -print \
		    -o -name "*akefile*" -print \
		    -o -name config.h.defaults -print \
		    -o -name EDITME -print >> $@

FRC:

# End of top-level makefile

=== src/lookups/Makefile ===
# Make file for building Exim's lookup modules.
# This is called from the main make file, after cd'ing
# to the lookups subdirectory.
#
# Copyright (c) The Exim Maintainers 2021 - 2025

# nb: at build time, the version of this file used will have had some
#     extra variable definitions and prepended to it and module build rules
#     interpolated below. This is done by scripts/lookups-Makefile.

# When adding a new driver here, attend also to scripts/lookups-Makefile
# and scripts/MakeLinks

# MAGIC-TAG-MODS-OBJ-RULES-GO-HERE

all:             Makefile lookups.a $(MODS)

lookups.a:       $(OBJ)
		 @$(RM_COMMAND) -f lookups.a
		 @echo "$(AR) lookups.a"
		 @$(AR) lookups.a $(OBJ)
		 $(RANLIB) $@

.SUFFIXES:       .o .c .so
.c.o:;           @echo "$(CC) $*.c"
		 $(FE)$(CC) -c $(CFLAGS) $(INCLUDE) $*.c

.c.so:;          @echo "$(CC) -shared $*.c"
		 $(FE)$(CC) $(LOOKUP_$*_INCLUDE) $(LOOKUP_$*_LIBS) -DDYNLOOKUP $(CFLAGS_DYNAMIC) $(CFLAGS) $(INCLUDE) $(DLFLAGS) $*.c -o $@

cdb.o cdb.so:           $(HDRS) cdb.c
dbmdb.o dbmdb.so:       $(HDRS) dbmdb.c
dnsdb.o dnsdb.so:       $(HDRS) dnsdb.c
dsearch.o dsearch.so:   $(HDRS) dsearch.c
ibase.o ibase.so:       $(HDRS) ibase.c
ldap.o ldap.so:         $(HDRS) ldap.c
lmdb.o lmdb.so:         $(HDRS) lmdb.c
json.o json.so:         $(HDRS) json.c
lsearch.o lsearch.so:   $(HDRS) lsearch.c
mysql.o mysql.so:       $(HDRS) mysql.c
nis.o nis.so:           $(HDRS) nis.c
nisplus.o nisplus.so:   $(HDRS) nisplus.c
nmh.o nmh.so:		$(HDRS) nmh.c
oracle.o oracle.so:     $(HDRS) oracle.c
passwd.o passwd.so:     $(HDRS) passwd.c
pgsql.o pgsql.so:       $(HDRS) pgsql.c
readsock.o readsock.so: $(HDRS) readsock.c
redis.o redis.so:       $(HDRS) redis.c
spf.o spf.so:           $(HDRS) spf.c
sqlite.o sqlite.so:     $(HDRS) sqlite.c
testdb.o testdb.so:     $(HDRS) testdb.c
whoson.o whoson.so:     $(HDRS) whoson.c

Makefile: ../../src/lookups/Makefile
	@echo " "
	@echo "*** lookups/Makefile needs rebuilding"
	@echo "*** Please run \"make makefile\" at top level"
	@echo " "
	@false

# End

=== src/miscmods/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # This is called from the main make file, after cd'ing
 # to the misc_modules subdirectory.
 #
-# Copyright (c) The Exim Maintainers 2024
+# Copyright (c) The Exim Maintainers 2024 - 2025
 
 # nb: at build time, the version of this file used will have had some
 #     extra variable definitions and prepended to it and module build rules

=== src/routers/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # to the directors subdirectory. The library also contains functions that
 # are called only from within the individual routers.
 #
-# Copyright (c) The Exim Maintainers 2021 - 2024
+# Copyright (c) The Exim Maintainers 2021 - 2025
 
 # nb: at build time, the version of this file used will have had some
 #     extra variable definitions and prepended to it and module build rules

=== src/transports/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # calling it transports.a. This is called from the main make file, after cd'ing
 # to the transports subdirectory.
 #
-# Copyright (c) The Exim Maintainers 2021 - 2024
+# Copyright (c) The Exim Maintainers 2021 - 2025
 
 # nb: at build time, the version of this file used will have had some
 #     extra variable definitions and prepended to it and module build rules

=== debian/changelog ===
exim4 (4.99-1) experimental; urgency=medium

  * Point watchfile to release directory again.
  * New upstream stable release (almost unchanged since rc4).
    + Drop cherry-picked patches.
  * Cherrypick patch to avoid logging error on seeing TCP-drop after sending
    QUIT. (https://bugs.exim.org/show_bug.cgi?id=3121)
  * Cherrypick post-release fixes:
    + 88_01-Fix-taint-status-for-dbm-lookups.-Bug-3169.patch
    + 88_03-Fix-duplicate-address-processing-vs.-continued-trans.patch

 -- Andreas Metzler <ametzler@debian.org>  Sat, 01 Nov 2025 14:06:26 +0100

exim4 (4.99~RC3-2) experimental; urgency=medium

  * Update to GIT head.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 17 Oct 2025 13:13:57 +0200

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for exim4
# This file is public domain software, originally written by Joey Hess.
#
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# avoid uname -m detection
ifdef DEB_TARGET_GNU_CPU
export EXIM_ARCHTYPE = $(DEB_TARGET_GNU_CPU)
else
export EXIM_ARCHTYPE = $(shell dpkg-architecture -qDEB_TARGET_GNU_CPU)
endif

buildname = $(shell scripts/os-type)-$(shell scripts/arch-type)
DEBIAN =    $(CURDIR)/debian

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

EXIM4VERSIONLOCALSCAN = \
	$(shell sed -rn \
	's/^\s*.define LOCAL_SCAN_ABI_VERSION_(MAJOR|MINOR)\s*([0-9]+).*/\2/p' \
	src/local_scan.h | \
	{ read MAJOR; read MINOR; echo $${MAJOR}.$${MINOR} ; }\
	)

# The build system ignores CPPFLAGS, append them to CFLAGS
CFLAGS += $(shell getconf LFS_CFLAGS) -D_LARGEFILE_SOURCE \
	  -fno-strict-aliasing -Wall $(CPPFLAGS)
export CFLAGS
# LFLAGS is used where GNU would use LDFLAGS
export LFLAGS = $(LDFLAGS)

LC_ALL=C
export LC_ALL

# If you want to build a daemon with a configuration tailored to YOUR special
# needs, uncomment the exim4-daemon-custom package in debian/control,
# call "debian/rules unpack-configs", copy EDITME.exim4-light to
# EDITME.exim4-custom and modify it, then call "debian/rules pack-configs".
#
# Afterwards EITHER uncomment the customdaemon definition below, or set it
# to the desired value via the environment.
# e.g run:
# env customdaemon=exim4-daemon-custom dpkg-buildpackage -uc -us
#
# If you want to create multiple custom packages with different names, use
# the script debian/create-custom-package [suffix].

# customdaemon = exim4-daemon-custom
daemons = exim4-daemon-light exim4-daemon-heavy $(customdaemon)

# If you want to build with OpenSSL instead of GnuTLS, uncomment this
# OPENSSL:=1
# Please note that building exim4-daemon-heavy with OpenSSL is a GPL
# violation.

PROVIDE_DEFAULT_MTA = $(shell if dpkg-vendor --is Ubuntu || \
	dpkg-vendor --derives-from Ubuntu ; then : ; else \
	echo "default-mta" ; fi)
# for reproducible build. If set exim would use $TZ as default value for
# TIMEZONE_DEFAULT
undefine TZ
unexport TZ


unpack-configs: unpack-configs-stamp

unpack-configs-stamp: src/EDITME exim_monitor/EDITME
	patch -o EDITME.eximon exim_monitor/EDITME \
		$(DEBIAN)/EDITME.eximon.diff
	patch -o EDITME.exim4-light src/EDITME \
		$(DEBIAN)/EDITME.exim4-light.diff
ifdef OPENSSL
	patch EDITME.exim4-light $(DEBIAN)/EDITME.openssl.exim4-light.diff
endif
	for editme in $(DEBIAN)/EDITME.exim4-*.diff; do \
	  if [ "$$editme" != "$(DEBIAN)/EDITME.exim4-light.diff" ]; then \
	    TARGETNAME=`basename $$editme .diff`; \
	    echo patch -o $$TARGETNAME EDITME.exim4-light $$editme; \
	    patch -o $$TARGETNAME EDITME.exim4-light $$editme || \
	    exit $$? ;\
	  fi; \
	done
	touch unpack-configs-stamp

pack-configs:
	-diff -u src/EDITME EDITME.exim4-light \
		> $(DEBIAN)/EDITME.exim4-light.diff
	-for editme in EDITME.exim4-*; do \
	  if [ "$$editme" != "EDITME.exim4-light" ]; then \
	    echo diff -u EDITME.exim4-light $$editme; \
	    diff -u EDITME.exim4-light $$editme > $(DEBIAN)/$${editme}.diff; \
	  fi; \
	done
	-diff -u exim_monitor/EDITME EDITME.eximon \
		> $(DEBIAN)/EDITME.eximon.diff

bdir-stamp: unpack-configs-stamp
	for i in $(daemons) ; do \
		mkdir b-$$i && \
		find . -mindepth 1 -maxdepth 1 \
		-name debian -prune -o \
		-name 'b-*' -o -print0 | \
		xargs --no-run-if-empty --null \
		cp -a --target-directory=b-$$i ; \
	done
	touch $@

override_dh_auto_configure: unpack-configs-stamp bdir-stamp
	for i in $(daemons) ; do \
		mkdir -p b-$$i/Local && \
		cp EDITME.`echo $$i | sed -e s/exim4-daemon/exim4/` \
		b-$$i/Local/Makefile && \
		cp EDITME.eximon b-$$i/Local/eximon.conf ;\
		done

override_dh_auto_build:
	set -e ; for i in $(daemons) ; do \
		echo building $$i; \
		cd $(CURDIR)/b-$$i && \
		$(MAKE) FULLECHO='' ; \
		done
	# What is used for DBM and hints-db?
	echo 's/^BDBVERSION=.*/BDBVERSION=sqlite3/' > $(DEBIAN)/dbmvers.sed
	# Store DB version in postinst script.
	sed -i -f $(DEBIAN)/dbmvers.sed \
		$(DEBIAN)/exim4-base.postinst
	# symlink identical maintainerscripts
	for i in `echo $(daemons) | sed -e s/exim4-daemon-light//` ; do \
		ln -sfv exim4-daemon-light.prerm \
			"$(DEBIAN)/$$i.prerm" ; \
		ln -sfv exim4-daemon-light.postinst \
			"$(DEBIAN)/$$i.postinst" ; \
		ln -sfv exim4-daemon-light.exim4.service \
			"$(DEBIAN)/$$i.exim4.service" ; \
	done

override_dh_auto_install-arch: debian/README.Debian
	cd b-exim4-daemon-light && \
	  $(MAKE) install FULLECHO='' \
		INSTALL_ARG=-no_symlink \
		inst_conf=$(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf \
		inst_aliases=$(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/aliases \
		inst_dest=$(DEBIAN)/exim4-base/usr/sbin
	if [ -e "$(DEBIAN)/example.conf.md5" ] && [ "$$(< $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf md5sum)" != "$$(cat $(DEBIAN)/example.conf.md5)" ] ; then \
	  echo "upstream example configuration has changed, new md5sum:"; \
	  < $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf md5sum; \
	  echo "aborting build."; \
	  exit 1; \
	fi
	< $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf md5sum > $(DEBIAN)/example.conf.md5
	sed -e 's,/[a-zA-Z/0-9.-]*exim4-base/examples/,/etc/,' \
		< $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf \
		> $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf.tmp
	mv $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf.tmp \
		$(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf
	install -m755 \
		b-exim4-daemon-light/build-$(buildname)/transport-filter.pl \
		b-exim4-daemon-light/util/ratelimit.pl \
		$(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples
	rm $(DEBIAN)/exim4-base/usr/sbin/exim
	mv $(DEBIAN)/exim4-base/usr/sbin/eximon \
		$(DEBIAN)/eximon4/usr/sbin
	mv $(DEBIAN)/exim4-base/usr/sbin/eximon.bin \
		$(DEBIAN)/eximon4/usr/libexec/exim4
	install -m755 b-exim4-daemon-light/util/mailtest \
		$(DEBIAN)/exim4-base/usr/bin/
	pod2man --center=EXIM4 --section=1 \
		$(DEBIAN)/exim4-base/usr/bin/mailtest \
		$(DEBIAN)/exim4-base/usr/share/man/man1/mailtest.1
	pod2man --center=EXIM4 --section=8 \
		$(DEBIAN)/exim4-base/usr/sbin/exipick \
		$(DEBIAN)/exim4-base/usr/share/man/man8/exipick.8
	pod2man --center=EXIM4 --section=8 \
		$(DEBIAN)/exim4-base/usr/sbin/eximstats \
		$(DEBIAN)/exim4-base/usr/share/man/man8/eximstats.8
	install -m755 $(DEBIAN)/syslog2eximlog $(DEBIAN)/exim4-base/usr/sbin/
	pod2man --center=EXIM4 --section=8 \
		$(DEBIAN)/syslog2eximlog \
		$(DEBIAN)/exim4-base/usr/share/man/man8/syslog2eximlog.8
	pod2man --center=EXIM4 --section=8 \
		$(DEBIAN)/exim4-base/usr/sbin/exim_msgdate \
		$(DEBIAN)/exim4-base/usr/share/man/man8/exim_msgdate.8
	for i in b-exim4-daemon-*/build-$(buildname)/exim ; do \
		install -m4755 -oroot -groot $$i \
		$(DEBIAN)/`echo $$i | sed -e 's/^b-//' -e 's_/.*__'`/usr/sbin/exim4 ; \
		done

override_dh_auto_install-indep: debian/README.Debian
	# if you change anything here, you will have to change
	# config-custom/debian/rules as well
	sed -e \
	"s/^UPEX4C_version=\"\"/UPEX4C_version=\"$(DEB_VERSION)\"/" \
	< $(DEBIAN)/debconf/update-exim4.conf \
	> $(DEBIAN)/exim4-config/usr/sbin/update-exim4.conf
	chmod 755 $(DEBIAN)/exim4-config/usr/sbin/update-exim4.conf

	cd $(DEBIAN)/debconf/conf.d && \
		tar cf - `find \( -path '*/.svn/*' -prune \) -or \
		\( -type f -print \)` | \
		{ cd $(DEBIAN)/exim4-config/etc/exim4/conf.d/ && \
		tar xf - ; }

	install -m644 $(DEBIAN)/email-addresses $(DEBIAN)/exim4-config/etc/
	install -m640 -oroot -groot $(DEBIAN)/passwd.client \
		$(DEBIAN)/exim4-config/etc/exim4/
	chmod 755 $(DEBIAN)/debconf/update-exim4.conf.template
	env CONFDIR=$(DEBIAN)/debconf \
		$(DEBIAN)/debconf/update-exim4.conf.template --nobackup --run

# only called manually by maintainer before upload.
update-mtaconflicts:

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/,uversionmangle=s/[_-]/~/g \
https://downloads.exim.org/exim4/exim-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## exim4 4.99.1

=== debian/changelog ===
exim4 (4.99.1-3) experimental; urgency=medium

  * Fix FTBFS on archs != x86_64.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 28 Dec 2025 07:06:41 +0100

exim4 (4.99.1-2) experimental; urgency=medium

  * Add experimental exim4-daemon-mod variant, features with external deps
    are in separate packages that only ship a single dlopened module.
  * Cherry-pick from upstream Git master:
    + Fix linker argument order for dynamic modules.
  * Drop longtime superseded Suggests on spf-tools-perl.
  * Ship empty module dir in exim4-daemon-mod to avoid warning.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 25 Dec 2025 13:32:45 +0100

exim4 (4.99.1-1) unstable; urgency=medium

  * Fix CVE-number in 4.99-7 changelog entry.
  * New upstream stable release (= 4.99 + fix for CVE-2025-67896).
    + Drop (misnamed) 88_07-CVE-2025-30232.diff
    + Unfuzz patches.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 21 Dec 2025 08:00:57 +0100

exim4 (4.99-7) unstable; urgency=high

  * Drop unused b-d on libident-dev, exim's RFC 1413 support is
    self-contained.
  * Add fix for CVE-2025-67896, unfuzz patches.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 17 Dec 2025 18:16:25 +0100

exim4 (4.99-6) unstable; urgency=medium

  * local_scan: bump API version, for smtp_fflush().

 -- Andreas Metzler <ametzler@debian.org>  Sun, 30 Nov 2025 12:05:05 +0100

exim4 (4.99-5) unstable; urgency=medium

  * Fix grammar error in NEWS entry.
  * Cherry-pick three patches from upstream GIT master.
  * Fix string_expand() being unavailable in local_scan().
  * Bump local-scan API minor version.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 27 Nov 2025 17:56:48 +0100

exim4 (4.99-4) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 13 Nov 2025 13:17:02 +0100

exim4 (4.99-3) experimental; urgency=medium

  * Sync post 4.99 changelog-entry numbering with upstream git.
  * Fix file open modes for Gnu/Hurd.
    https://bugs.exim.org/show_bug.cgi?id=3175

 -- Andreas Metzler <ametzler@debian.org>  Sun, 09 Nov 2025 13:16:50 +0100

exim4 (4.99-2) experimental; urgency=medium

  * Cherrypick post-release fixes:
    + 88_07-Build-quieten-sqlite-hints-Wunused-function-build.patch
    + 88_08-RFC-2047-fix-encode-operation.-Bug-3168.patch
    + 88_09-compiler-quietening.patch
    + 88_11-Fix-local-delivery-defers.patch
    + 88_12-Fix-remote-delivery-DNS-defers.-Bug-3172.patch

 -- Andreas Metzler <ametzler@debian.org>  Thu, 06 Nov 2025 07:09:42 +0100

=== debian/control ===
# * -base and daemon of the same upstream version enforced by a Breaks
#   in -base and a versioned Depends of the daemon-packages on -base
# * -base depends on -config, without automatic versioning.
Source: exim4
Section: mail
Priority: standard
Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
Uploaders:
 Andreas Metzler <ametzler@debian.org>,
Homepage: https://www.exim.org/
Standards-Version: 4.7.2
Rules-Requires-Root: binary-targets
Vcs-Git: https://salsa.debian.org/exim-team/exim4.git
Vcs-Browser: https://salsa.debian.org/exim-team/exim4
Build-Depends:
 debhelper-compat (= 13),
 default-libmysqlclient-dev,
 docbook-xml,
 docbook-xsl,
 libfile-fcntllock-perl,
 libgnutls28-dev (>= 3.5.7),
 libidn-dev,
 libidn2-dev,
 libldap2-dev,
 libnsl-dev,
 libpam0g-dev,
 libpcre2-dev,
 libperl-dev,
 libpq-dev,
 libsasl2-dev,
 libspf2-dev,
 libsqlite3-dev,
 libx11-dev,
 libxaw7-dev,
 libxext-dev,
 libxmu-dev,
 libxt-dev,
 lynx,
 po-debconf,
 xsltproc,

Package: exim4-base
Architecture: any
Priority: optional
Breaks:
 exim4-daemon-custom (<<${Upstream-Version}),
 exim4-daemon-heavy (<<${Upstream-Version}),
 exim4-daemon-light (<<${Upstream-Version}),
 exim4-daemon-mod (<<${Upstream-Version}),
Conflicts:
 exim,
 exim-tls,
Replaces:
 exim,
 exim-tls,
 exim4-daemon-custom,
 exim4-daemon-heavy,
 exim4-daemon-light,
 exim4-daemon-mod,
Depends:
 adduser,
 cron | cron-daemon | anacron | systemd-sysv,
 exim4-config (>=4.94) | exim4-config-2,
 libfile-fcntllock-perl,
 netbase,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
# psmisc just for exiwhat.
# mailx for cronjob
Recommends:
 bsd-mailx | mailx,
 psmisc,
Suggests:
 exim4-doc-html | exim4-doc-info,
 eximon4,
 file,
 gnutls-bin | openssl,
 mail-reader,
 swaks,
Description: support files for all Exim MTA (v4) packages
 Exim (v4) is a mail transport agent. exim4-base provides the support
 files needed by all exim4 daemon packages. You need an additional package
 containing the main executable. The available packages are:
 .
  exim4-daemon-light
  exim4-daemon-heavy
  exim4-daemon-mod
 .
 If you build exim4 from the source package locally, you can also
 build an exim4-daemon-custom package tailored to your own feature set.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4-config
Architecture: all
Priority: optional
Breaks:
 exim4-daemon-heavy (<< 4.94),
 exim4-daemon-light (<< 4.94),
 exim4-daemon-mod (<< 4.94),
Provides:
 exim4-config-2,
Conflicts:
 exim,
 exim-tls,
 exim4-config,
 exim4-config-2,
 ${MTA-Conflicts},
Depends:
 adduser,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ca-certificates,
Description: configuration for the Exim MTA (v4)
 Exim (v4) is a mail transport agent. exim4-config provides the configuration
 for the exim4 daemon packages. The configuration framework has been split
 off the main package to allow sites to replace the configuration scheme
 with their own without having to change the actual exim4 packages.
 .
 Sites with special configuration needs (having a lot of identically
 configured machines for example) can use this to distribute their own
 custom configuration via the packaging system, using the magic
 available with dpkg's conffile handling, without having to do local
 changes on all of these machines.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4-daemon-light
Architecture: any
Priority: optional
Provides:
 mail-transport-agent,
 ${dist:Provides:exim4-daemon-light},
 ${localscanabiversion},
Conflicts:
 mail-transport-agent,
Replaces:
 exim4-base (<= 4.61-1),
 mail-transport-agent,
Depends:
 exim4-base (>= ${Upstream-Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: lightweight Exim MTA (v4) daemon
 Exim (v4) is a mail transport agent. This package contains the exim4
 daemon with only basic features enabled. It works well with the
 standard setups that are provided by Debian and includes support for
 TLS encryption and the dlopen patch to allow dynamic loading of a
 local_scan function.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4
Architecture: all
Priority: optional
Depends:
 debconf (>= 1.4.69) | cdebconf (>= 0.39),
 exim4-base (<< ${source:Version}.1),
 exim4-base (>= ${source:Version}),
 exim4-daemon-light (>= ${source:Version}) | exim4-daemon-heavy (>= ${source:Version}) | exim4-daemon-mod (>= ${source:Version}) | exim4-daemon-custom (>= ${source:Version}),
 ${misc:Depends},
Description: metapackage to ease Exim MTA (v4) installation
 Exim (v4) is a mail transport agent. exim4 is the metapackage depending
 on the essential components for a basic exim4 installation.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4-daemon-heavy
Architecture: any
Priority: optional
Provides:
 mail-transport-agent,
 ${localscanabiversion},
Conflicts:
 mail-transport-agent,
Replaces:
 exim4-base (<= 4.61-1),
 mail-transport-agent,
Depends:
 exim4-base (>= ${Upstream-Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 clamav-daemon (<< 0.95),
Description: Exim MTA (v4) daemon with extended features, including exiscan-acl
 Exim (v4) is a mail transport agent. This package contains the exim4
 daemon with extended features. In addition to the features already
 supported by exim4-daemon-light, exim4-daemon-heavy includes LDAP,
 PostgreSQL and MySQL data lookups, SASL and SPA SMTP authentication,
 embedded Perl interpreter, and the content scanning extension
 (formerly known as "exiscan-acl") for integration of virus scanners
 and spamassassin.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4-daemon-mod
Architecture: any
Priority: optional
Provides:
 mail-transport-agent,
Conflicts:
 mail-transport-agent,
Replaces:
 exim4-base (<= 4.61-1),
 mail-transport-agent,
Depends:
 exim4-base (>= ${Upstream-Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 clamav-daemon (<< 0.95),
Description: Exim MTA (v4) daemon with minimal hard dependencies
 Exim (v4) is a mail transport agent. This package contains the exim4
 daemon with extended features, most built as dlopened modules for
 minimal hard dependencies. In addition to the features already
 supported by exim4-daemon-light, exim4-daemon-mod includes LDAP,
 PostgreSQL and MySQL data lookups, SASL and SPA SMTP authentication,
 embedded Perl interpreter, and the content scanning extension
 (formerly known as "exiscan-acl") for integration of virus scanners
 and spamassassin. It does not support dlopened local_scan modules
 like sa-exim.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

#Package: exim4-daemon-custom
#Architecture: any
#Priority: optional
#Provides: ${localscanabiversion}, mail-transport-agent
#Conflicts: mail-transport-agent
#Replaces: exim4-base (<= 4.61-1), mail-transport-agent
#Depends:
# exim4-base (>= ${Upstream-Version}),
# ${misc:Depends},
# ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -30,11 +30,15 @@
 CFLAGS += $(shell getconf LFS_CFLAGS) -D_LARGEFILE_SOURCE \
 	  -fno-strict-aliasing -Wall $(CPPFLAGS)
 export CFLAGS
-# LFLAGS is used where GNU would use LDFLAGS
+# LFLAGS (executable) and DLFLAGS (shared objects) are used where GNU would
+# use LDFLAGS.
 export LFLAGS = $(LDFLAGS)
+export DLFLAGS = $(LDFLAGS)
 
 LC_ALL=C
 export LC_ALL
+DEBEX4_LOOKUP_MODULE_DIR=/usr/lib/exim4/lookups-$(DEB_VERSION_UPSTREAM_REVISION)/
+export DEBEX4_LOOKUP_MODULE_DIR
 
 # If you want to build a daemon with a configuration tailored to YOUR special
 # needs, uncomment the exim4-daemon-custom package in debian/control,
@@ -50,7 +54,7 @@
 # the script debian/create-custom-package [suffix].
 
 # customdaemon = exim4-daemon-custom
-daemons = exim4-daemon-light exim4-daemon-heavy $(customdaemon)
+daemons = exim4-daemon-light exim4-daemon-heavy exim4-daemon-mod $(customdaemon)
 
 # If you want to build with OpenSSL instead of GnuTLS, uncomment this
 # OPENSSL:=1
@@ -116,6 +120,8 @@
 		b-$$i/Local/Makefile && \
 		cp EDITME.eximon b-$$i/Local/eximon.conf ;\
 		done
+	sed -i -e 's:^LOOKUP_MODULE_DIR=/usr/lib/exim4/lookups/:LOOKUP_MODULE_DIR=$(DEBEX4_LOOKUP_MODULE_DIR)/:' \
+		b-*/Local/Makefile
 
 override_dh_auto_build:
 	set -e ; for i in $(daemons) ; do \
@@ -187,6 +193,9 @@
 	for i in b-exim4-daemon-*/build-$(buildname)/exim ; do \
 		install -m4755 -oroot -groot $$i \
 		$(DEBIAN)/`echo $$i | sed -e 's/^b-//' -e 's_/.*__'`/usr/sbin/exim4 ; \
+		if [ `dirname $$i | sed -e 's_/.*__'` = "b-exim4-daemon-mod" ];then \
+			make -C b-exim4-daemon-mod install FULLECHO='' DESTDIR=$(CURDIR)/b-exim4-daemon-mod/dest INSTALL_ARG=-no_symlink ;\
+		fi ; \
 		done
 
 override_dh_auto_install-indep: debian/README.Debian
@@ -199,17 +208,3 @@
 	chmod 755 $(DEBIAN)/exim4-config/usr/sbin/update-exim4.conf
 
 	cd $(DEBIAN)/debconf/conf.d && \
-		tar cf - `find \( -path '*/.svn/*' -prune \) -or \
-		\( -type f -print \)` | \
-		{ cd $(DEBIAN)/exim4-config/etc/exim4/conf.d/ && \
-		tar xf - ; }
-
-	install -m644 $(DEBIAN)/email-addresses $(DEBIAN)/exim4-config/etc/
-	install -m640 -oroot -groot $(DEBIAN)/passwd.client \
-		$(DEBIAN)/exim4-config/etc/exim4/
-	chmod 755 $(DEBIAN)/debconf/update-exim4.conf.template
-	env CONFDIR=$(DEBIAN)/debconf \
-		$(DEBIAN)/debconf/update-exim4.conf.template --nobackup --run
-
-# only called manually by maintainer before upload.
-update-mtaconflicts:
